package com.example.bookingapp_austinblanke;


import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.app.assist.AssistStructure;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.View;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;



public class MainActivity extends AppCompatActivity {
    CheckBox flash, wheelChair, stairs;
    adapter adapterObj;
    ArrayList<String> performanceList;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        flash = (CheckBox)findViewById(R.id.Flash);
        wheelChair = (CheckBox)findViewById(R.id.Wheelchair);
        stairs = (CheckBox)findViewById(R.id.Stairs);
        
        String filter = null;

        DatabaseConnector connector = new DatabaseConnector(this, null);

        performanceList = new ArrayList<>();
        performanceList = connector.performanceTitles(false, false, false);


        RecyclerView recyclerObj = findViewById(R.id.performances);
        recyclerObj.setLayoutManager(new LinearLayoutManager(this));
        adapterObj = new adapter(this, performanceList);
        recyclerObj.setAdapter(adapterObj);



    }
    public void moreInfoClick(View view){moreInfo();}

    private void moreInfo(){

        EditText PID = findViewById(R.id.PID);
        Intent intent = new Intent(this, MoreInfoActivity.class);
        Bundle bundle = new Bundle();
        bundle.putString("PID", PID.getText().toString());
        intent.putExtras(bundle);
        startActivity(intent);

    }
    public void filter(View view){ filter();}
    public void filter()
    {
        Boolean filter1 ;
        Boolean filter2 ;
        Boolean filter3 ;

        if(flash.isChecked()) {filter1 = true;}
        else {filter1 = false;}
        if(wheelChair.isChecked()) {filter2 = true;}
        else {filter2 = false;}
        if(stairs.isChecked()) {filter3 = true;}
        else {filter3 = false;}

        DatabaseConnector connector = new DatabaseConnector(this, null);
        performanceList = connector.performanceTitles(filter1, filter2, filter3);

        RecyclerView recyclerObj = findViewById(R.id.performances);
        recyclerObj.setLayoutManager(new LinearLayoutManager(this));
        adapterObj = new adapter(this, performanceList);
        recyclerObj.setAdapter(adapterObj);
    }
}