package com.example.bookingapp_austinblanke;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import org.w3c.dom.Text;

public class MoreInfoActivity extends AppCompatActivity {

    String PID;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.moreinfo_activity);

        Bundle loginBundle = getIntent().getExtras();
        PID = loginBundle.getString("PID");

        String Title = null;
        String Date = null;
        String Time = null;
        String Location = null;
        String Flash = null;
        String Wheelchair = null;
        String Stairs = null;
        String Flashdis = null;
        String Wheelchairdis = null;
        String Stairsdis = null;
        String Tickets1 = null;
        String Tickets2 = null;
        String Tickets3 = null;
        String Tickets1Price = null;
        String Tickets2Price = null;
        String Tickets3Price = null;

        DatabaseConnector connector = new DatabaseConnector(this, null);

        Title = connector.getInfo(PID, 1);
        Date = connector.getInfo(PID, 2);
        Time = connector.getInfo(PID, 3);
        Location = connector.getInfo(PID, 4);
        Flash = connector.getInfo(PID, 5);
        Wheelchair = connector.getInfo(PID, 6);
        Stairs = connector.getInfo(PID, 7);

        if(Flash == "true"){Flashdis = "There are Flashing Lights";}
        else{Flashdis = "There are no flashing lights";}

        if(Wheelchair == "true"){Wheelchairdis = "There is wheelchair access";}
        else{Wheelchairdis = "There is no wheelchair access";}

        if(Stairs == "true"){Stairsdis = "There are less than 20 steps";}
        else{Stairsdis = "There are more than 20 steps";}

        Tickets1 = connector.getTicketCount(PID, 1);
        Tickets2 = connector.getTicketCount(PID, 2);
        Tickets3 = connector.getTicketCount(PID, 3);
        Tickets1Price = connector.getTicketPrice(PID, 1);
        Tickets2Price = connector.getTicketPrice(PID, 2);
        Tickets3Price = connector.getTicketPrice(PID, 3);



        TextView title = (TextView) findViewById(R.id.PTitle);
        title.setText(Title);
        TextView date = (TextView) findViewById(R.id.date);
        date.setText(Date);
        TextView time = (TextView) findViewById(R.id.time);
        time.setText(Time);
        TextView location = (TextView) findViewById(R.id.location);
        location.setText(Location);
        TextView flash = (TextView) findViewById(R.id.flash);
        flash.setText(Flashdis);
        TextView wheel = (TextView) findViewById(R.id.wheelchair);
        wheel.setText(Wheelchairdis);
        TextView stairs = (TextView) findViewById(R.id.stairs);
        stairs.setText(Stairsdis);
        TextView ticket1 = (TextView) findViewById(R.id.tickets1);
        ticket1.setText(Tickets1 + ", £" + Tickets1Price);
        TextView ticket2 = (TextView) findViewById(R.id.tickets2);
        ticket2.setText(Tickets2 + ", £" + Tickets2Price);
        TextView ticket3 = (TextView) findViewById(R.id.tickets3);
        ticket3.setText(Tickets3 + ", £" + Tickets3Price);


    }

}
